CreateReleasesDropdownTask (Grails 6.0.0)

Package: grails.doc.dropdown

## [Groovy] Class CreateReleasesDropdownTask

- grails.doc.dropdown.CreateReleasesDropdownTask

-     @groovy.transform.CompileStatic
      class CreateReleasesDropdownTask
      extends DefaultTask

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `guide` |
    `private java.io.File` | `index` |
    `private java.lang.String` | `slug` |
    `private java.lang.String` | `version` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `guide`
    `java.io.File` | `index`
    `java.lang.String` | `slug`
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreateReleasesDropdownTask ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `composeSelectHtml()`
    `` | `void` | `modifyHtmlAndAddReleasesDropdown()`
    `` | `java.util.List<SoftwareVersion>` | `parseSoftwareVersions(java.lang.Object result)`

- - ### Field Detail

    - #### @org.gradle.api.tasks.OutputFile private java.io.File guide

    - #### @org.gradle.api.tasks.OutputFile private java.io.File index

    - #### @org.gradle.api.tasks.Input private java.lang.String slug

    - #### @org.gradle.api.tasks.Input private java.lang.String version

  - ### Property Detail

    - #### @org.gradle.api.tasks.OutputFile java.io.File guide

    - #### @org.gradle.api.tasks.OutputFile java.io.File index

    - #### @org.gradle.api.tasks.Input java.lang.String slug

    - #### @org.gradle.api.tasks.Input java.lang.String version

  - ### Constructor Detail

    - #### CreateReleasesDropdownTask()

  - ### Method Detail

    - #### java.lang.String composeSelectHtml()

    - #### @org.gradle.api.tasks.TaskAction void modifyHtmlAndAddReleasesDropdown()

    - #### @groovy.transform.CompileDynamic java.util.List<SoftwareVersion> parseSoftwareVersions(java.lang.Object result)